import { Chain } from "@wormhole-foundation/sdk-base";
import { Signature } from "../../index.js";
import { UniversalAddress } from "../../universalAddress.js";
interface Guardian {
    index: number;
    key: string;
}
export declare class MockGuardians {
    setIndex: number;
    signers: Guardian[];
    constructor(setIndex: number, keys: string[]);
    getPublicKeys(): Uint8Array[];
    addSignatures(message: Uint8Array, guardianIndices: number[]): import("../../index.js").VAA<"Uint8Array">;
}
export declare class MockEmitter {
    chain: Chain;
    address: UniversalAddress;
    sequence: bigint;
    constructor(emitterAddress: UniversalAddress, chain: Chain, startSequence?: bigint);
    publishMessage(nonce: number, payload: Uint8Array, consistencyLevel: number, timestamp?: number, uptickSequence?: boolean): Uint8Array;
}
export declare function ethPrivateToPublic(privateKey: string): Uint8Array;
export declare function ethSignWithPrivate(privateKey: string, hash: Uint8Array): import("@noble/curves/abstract/weierstrass").RecoveredSignatureType;
export declare function ethValidateSig(signature: Signature, publicKey: Uint8Array, hash: Uint8Array): boolean;
export {};
//# sourceMappingURL=guardian.d.ts.map